Name:           python-gdbmongo
Version:        0.16.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        GDB pretty printers and commands for debugging the MongoDB Server

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/visemet/gdb-mongodb-server
Source:         %{pypi_source gdbmongo}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gdbmongo' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gdbmongo
Summary:        %{summary}

%description -n python3-gdbmongo %_description


%prep
%autosetup -p1 -n gdbmongo-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gdbmongo -f %{pyproject_files}


%changelog
%autochangelog